#include <blitz/protocol/PacketHandler.h>

namespace blitz {
namespace protocol {

#define DeclarePacket(PacketName, ...)                                                                                                \
	void PacketHandler::Visit(const packets::PacketName& a_Packet) {                                                                  \
		HandlePacket(a_Packet);                                                                                                       \
	}

DeclareAllPacket()

}  // namespace protocol
}  // namespace blitz
